Bug 1254221 - Review Request: python-networking-vmware-nsx - VMware OpenStack Neutron driver
Review Request: python-networking-vmware-nsx - VMware OpenStack Neutron driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-17 08:58 EDT by Ihar Hrachyshka
Modified: 2016-06-01 03:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 06:49:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ihar Hrachyshka 2015-08-17 08:58:15 EDT
Spec URL: https://ihrachyshka.fedorapeople.org/python-networking-vmware-nsx.spec
SRPM URL: https://ihrachyshka.fedorapeople.org/python-networking-vmware-nsx-0.0.1-1.64cc70f.src.rpm
Description: This package contains VMware networking driver for OpenStack Neutron.
Fedora Account System Username: ihrachyshka
Comment 1 Miroslav Suchý 2015-08-18 08:28:01 EDT
Please use macros consistently
I.e. instead of $RPM_BUILD_ROOT please use %{buildroot}.

Dist tag is mandatory and you missed it:
https://fedoraproject.org/wiki/Packaging:DistTag

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1648640 bytes in 258 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

python-networking-vmware-nsx.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-networking-vmware-nsx/html/objects.inv
python-networking-vmware-nsx.noarch: W: file-not-utf8 /usr/share/doc/python-networking-vmware-nsx/html/objects.inv

python-networking-vmware-nsx.noarch: W: no-manual-page-for-binary neutron-check-nsx-config
If you do not know how to write man page, feel free to ask here, and I will point you to easy solution.
Comment 2 Alan Pevec 2015-08-18 09:07:42 EDT
> python-networking-vmware-nsx.noarch: W: no-manual-page-for-binary
> neutron-check-nsx-config
> If you do not know how to write man page, feel free to ask here, and I will
> point you to easy solution.

This should be solved upstream, not in packaging:
https://fedoraproject.org/wiki/Packaging:Guidelines#Manpages

It is a SHOULD item, so it doesn't need to block the review.
Comment 3 Ihar Hrachyshka 2015-08-18 09:21:24 EDT
Updated the spec file as per comments:

- split -doc subpackage;
- used %{buildroot};
- for objects.inv violations, I don't believe I should change anything since it's a file generated by sphinx;
- for lack of manual page, as Alan already replied, I am not required to provide one, and upstream (openstack) won't provide any of those ever, so no big reason to notify them.

Spec URL: https://ihrachyshka.fedorapeople.org/python-networking-vmware-nsx.spec
SRPM URL: https://ihrachyshka.fedorapeople.org/python-networking-vmware-nsx-0.0.1-1.64cc70f.fc22.src.rpm
Comment 4 Miroslav Suchý 2015-08-18 11:41:39 EDT
(In reply to Ihar Hrachyshka from comment #3)
> - for objects.inv violations, I don't believe I should change anything since
> it's a file generated by sphinx;

*nod*

> - for lack of manual page, as Alan already replied, I am not required to
> provide one, and upstream (openstack) won't provide any of those ever, so no
> big reason to notify them.

The referenced guidelines say:
If some man pages are absent, packagers should work with upstream to add them.
So you should at least report it. And since you work as neutron upstream too, you may want to create it as well and make world better.
But yeah, this is SHOULD item and I will not block the review on this.
 
One more thing:
> %global vendor VMware
This have the same efect as:
Vendor: VMware

And result in:
pm -qpi /home/msuchy/1254221-python-networking-vmware-nsx/results/python-networking-vmware-nsx-0.0.1-1.64cc70f.fc23.noarch.rpm
Name        : python-networking-vmware-nsx
Version     : 0.0.1
Release     : 1.64cc70f.fc23
Architecture: noarch
Install Date: (not installed)
Group       : Unspecified
Size        : 3148157
License     : ASL 2.0
Signature   : (none)
Source RPM  : python-networking-vmware-nsx-0.0.1-1.64cc70f.fc23.src.rpm
Build Date  : Út 18. srpen 2015, 17:28:55 CEST
Build Host  : dri.brq.redhat.com
Relocations : (not relocatable)
Vendor      : VMware
^^^^^^^^^^^^^^^^^^^^^^^^^  NOTE HERE

URL         : https://pypi.python.org/pypi/vmware-nsx
Summary     : VMware OpenStack Neutron driver
Description :
This package contains VMware networking driver for OpenStack Neutron.


Which is probably not what you intended. And usage of this tag is discouraged.
This can be easily avoided by using different name for this variable. E.g. %drv_vendor or similar.
As this is easy change, you can alter it before uploading to dist-git.
Comment 5 Miroslav Suchý 2015-08-18 11:41:55 EDT
APPROVED
Comment 6 Ihar Hrachyshka 2015-08-19 05:24:13 EDT
New Package SCM Request
=======================
Package Name: python-networking-vmware-nsx
Short Description: VMware OpenStack Neutron driver
Upstream URL: https://pypi.python.org/pypi/vmware-nsx
Owners: ihrachyshka
Branches: 
InitialCC:
Comment 7 Gwyn Ciesla 2015-08-20 10:10:38 EDT
Git done (by process-git-requests).
Comment 8 Miroslav Suchý 2015-10-01 06:49:59 EDT
I see the package built in rawhide. Original reported should then close this BZ.
See:
  https://fedoraproject.org/wiki/Package_Review_Process#Contributor
I will do it for you this time.

Note You need to log in before you can comment on or make changes to this bug.